import datetime

from flask_login import LoginManager, login_required, login_user, \
    logout_user, current_user, UserMixin

from flask_auth import app, db


class User(db.Model, UserMixin):
    __tablename__ = "users"
    id = db.Column(db.Integer, primary_key=True)
    email = db.Column(db.String(100), unique=True, nullable=False)
    name = db.Column(db.String(100), nullable=True)
    avatar = db.Column(db.String(200))
    tokens = db.Column(db.Text)
    created_at = db.Column(db.DateTime, default=datetime.datetime.utcnow())


try:
    User.query.first()
except:
    db.create_all()
