from flask import redirect
from flask_auth import app
from flask_auth.functions import main, name, name_pth

@app.route('/fuel-docs/')
def route_fuel_main():
    return main.main('route_fuel', path='master/')


@app.route('/fuel-dev-docs')
def route_fuel_dev_docs():
    return redirect('https://docs.openstack.org/developer/fuel-docs/')


@app.route('/fuel-docs/', defaults={'path': ''})
@app.route('/fuel-docs/<path:path>')
def route_fuel(path):
    return name.name('fuel-docs/', path)


@app.route('/fuel-docs/<path>')
def route_fuel_pth(path):
    return name_pth.name_pth('route_fuel', path)
