from flask_auth import app
from flask_auth.functions import main, name, name_master, name_master_pth


@app.route('/openstack/fuel/')
@app.route('/openstack/')
def route_mos_main():
    return main.main('route_mos', path='fuel-9.2/')


@app.route('/openstack/fuel/fuel-master/', defaults={'path': ''})
@app.route('/openstack/fuel/fuel-master/<path:path>')
def route_mos_master(path):
    return name_master.name_master('openstack/fuel', 'fuel-master', path)


@app.route('/openstack/fuel/', defaults={'path': ''})
@app.route('/openstack/fuel/<path:path>')
def route_mos(path):
    return name.name('openstack/fuel/', path)


@app.route('/openstack/fuel/<path>')
def route_mos_pth(path):
    return name_pth.name_pth('route_mos', path)
