from setuptools import setup

setup(
    name='flask_auth',
    version='0.1',
    packages=['flask_auth'],
    package_data={'flask_auth': ['**/*']},
    include_package_data=True,
    install_requires=[
        'Flask==0.12',
        'Flask-Login==0.4.0',
        'Flask-SQLAlchemy==2.1',
        'google-api-python-client==1.5.3',
        'oauth2==1.9.0.post1',
        'oauth2client==3.0.0',
        'oauthlib==2.0.1',
        'requests==2.10.0',
        'requests-oauthlib==0.8.0',
        'simplejson==3.8.2',
        'SQLAlchemy==1.1.5',
        'ipaddress==1.0.14',
        'PyYAML==3.10'
    ],
)
