from flask_auth import app
from flask_auth.functions import main, name, name_pth

@app.route('/glossary/')
def route_glossary_main():
    return main.main('route_glossary', path='mcp/')


@app.route('/glossary/', defaults={'path': ''})
@app.route('/glossary/<path:path>')
def route_glossary(path):
    return name.name('glossary/', path)


@app.route('/glossary/<path>')
def route_glossary_pth(path):
    return name_pth.name_pth('route_glossary_pth', path)
