from flask_auth import app
from flask_auth.functions import main, name, name_master, name_master_pth


@app.route('/mos/')
def route_mosk_main():
    return main.main('route_mosk_latest')


#add for PRODX-845
@app.route('/mos/master/', defaults={'path': ''})
@app.route('/mos/master/<path:path>')
def route_mosk_master(path):
    return name_master.name_master('mos', 'master', path)


#add for PRODX-845
@app.route('/mos/master/<path>')
def route_mosk_master_pth(path):
    return name_master_pth.name_master_pth('route_mosk_master', 'mos', 'master', path, True)


@app.route('/mos/latest/', defaults={'path': ''})
@app.route('/mos/latest/<path:path>')
def route_mosk_latest(path):
    return name.name('mos/latest/', path)


@app.route('/mos/latest/<path>')
def route_mosk_latest_pth(path):
    return name_master_pth.name_master_pth('route_mosk_latest', 'mos', 'latest', path)

