import os
from flask_auth import app, config, CONF_MODE
import uuid
from flask_auth.config import RUN_HOST

app.secret_key = str(uuid.uuid4())
os.environ['OAUTHLIB_INSECURE_TRANSPORT'] = '1'

if config[CONF_MODE].DEBUG is True:
    app.debug = True

if __name__ == "__main__":
    app.run(host=RUN_HOST, threaded=True)
